> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update cart item quantity

> Update cart item quantity

### Path parameters

<ParamField path="id" type="string (uuid)" required>
  Cart ID
</ParamField>

<ParamField path="item_id" type="string (uuid)" required>
  Cart item ID
</ParamField>

### Request body

JSON body of type `UpdateQuantityRequest`.

### Responses

<ResponseField name="200" type="ApiResponse_CartResponse">
  Cart item updated
</ResponseField>

<ResponseField name="404" type="ErrorResponse">
  Cart or item not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request PUT \
    --url 'https://api.stateset.com/api/v1/carts/{id}/items/{item_id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "created_at": "2024-12-09T10:30:00Z",
      "currency": "USD",
      "discount_total": "15.00",
      "expires_at": "2024-12-16T10:30:00Z",
      "id": "770e8400-e29b-41d4-a716-446655440000",
      "shipping_total": "9.99",
      "status": "active",
      "subtotal": "149.98",
      "tax_total": "12.00",
      "total": "156.97",
      "updated_at": "2024-12-09T11:45:00Z"
    },
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
